API referenceWhatsApp
POST /whatsapp/accounts/{id}/templates
Submit a template for review (status PENDING; template.status reports the decision)
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringWhatsApp account id
application/json- body
name*stringLowercase letters, digits and underscores
Match
^[a-z0-9_]+$Length
length <= 512language*stringe.g. en_US
category*stringValue in
"MARKETING""UTILITY""AUTHENTICATION"components*array<>Meta components (BODY required), e.g. [{type:"BODY",text:"Hi {{1}}",example:{body_text:[["Ana"]]}}]
parameterFormat?stringValue in
"positional""named"allowCategoryChange?boolean{accountId, template}
application/json- response
accountId?stringtemplate?curl -X POST 'https://example.com/api/v1/whatsapp/accounts/string/templates' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "language": "string", "category": "MARKETING", "components": [ {} ]}'Example Response
{ "accountId": "string", "template": { "id": "string", "name": "string", "language": "string", "category": "MARKETING", "status": "string", "components": [ {} ], "qualityScore": null, "rejectedReason": "string", "parameterFormat": "POSITIONAL" }}